Skip to content

Balance

The following request headers must be passed in every request:

Name Type Required Description
X-Api-Key string Yes Unique shop identifier
X-Signature string Yes Request signature

When generating the signature, secret_key is used — the secret key found in the merchant's shop settings.

Getting the bank balance

Method: GET

  • Production: https://api.pay.kvell.group/v1/balance/{account_id}/bank
  • Stage: https://api.pay.stage.kvell.group/v1/balance/{account_id}/bank

Request parameters

Name
Data type Required Description
account_id string Yes Terminal identifier. Check with your account manager.
instrument string No Payment instrument type. Default: card

Possible values of the instrument parameter:

Value Description
card Payout to card (default)
sbp Payout via SBP
prepaid Payout to a prepaid card
sbpb2b Payout via SBP B2B
smartcontract Payout via a nominal account

Request example

GET /v1/balance/{account_id}/bank?instrument=card

Generating the signature

The X-Signature signature is generated by concatenating X-Api-Key, account_id, and secret_key. A sha256 hash is generated from the resulting string:

sha256({x-api-key}{account_id}{secret_key})

Response

{
  "amount": 0 // balance amount in kopecks
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}

Getting the internal balance

Method: GET

  • Production: https://api.pay.kvell.group/v1/balance/{account_id}
  • Stage: https://api.pay.stage.kvell.group/v1/balance/{account_id}

Request parameters

Name
Data type Required Description
account_id string Yes Terminal identifier. Check with your account manager.

Generating the signature

The X-Signature signature is generated by concatenating X-Api-Key, account_id, and secret_key. A sha256 hash is generated from the resulting string:

sha256({x-api-key}{account_id}{secret_key})

Response

{
  "id": 0,
  "is_active": true,
  "amount": 0 // balance amount in kopecks
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}